<?xml version="1.0" encoding="UTF-8" standalone="no" ?>

<authorizes>

	<!-- 冯静开始 -->
	<authorize><!-- 流程生产订单 -->
		<appcode>50080000,5008000002,5008000004,50080305</appcode>
		<actions>
			<action>mmpac.pmo.queryList</action>
			<action>mmpac.pmo.orgChangEvent</action>
			<action>mmpac.pmo.headAfterEdit</action>
			<action>mmpac.pmo.bodyAfterEdit</action>
			<action>mmpac.pmo.bodyBeforeEdit</action>
			<action>mmpac.pmo.headBeforeEdit</action>
			<action>mmpac.pmo.newSave</action>
			<action>mmpac.pmo.editSave</action>
			<action>mmpac.pmo.queryPMOCard</action>
			<action>mmpac.pmo.delete</action>
			<action>mmpac.pmo.batchDelete</action>
			<action>mmpac.pmo.queryPage</action>
			<action>mmpac.pmo.edit</action>
			<action>mmpac.pmo.copy</action>
			<action>mmpac.pmo.cardBatchEdit</action>
			<action>mmpac.pmo.listBatchEdit</action>
			<action>mmpac.pmo.cardPut</action>
			<action>mmpac.pmo.listPut</action>
			<action>mmpac.pmo.cardUnPut</action>
			<action>mmpac.pmo.listUnPut</action>
			<action>mmpac.pmo.cardFinish</action>
			<action>mmpac.pmo.listFinish</action>
			<action>mmpac.pmo.cardFinishCancel</action>
			<action>mmpac.pmo.listFinishCancel</action>
			<action>mmpac.pmo.cardClose</action>
			<action>mmpac.pmo.listClose</action>
			<action>mmpac.pmo.cardCloseCancel</action>
			<action>mmpac.pmo.listCloseCancel</action>
			<action>mmpac.pmo.cardAutoClose</action>
			<action>mmpac.pmo.listAutoClose</action>
			<action>mmpac.pmo.commit</action>
			<action>mmpac.pmo.uncommit</action>
			<action>mmpac.pmo.savecommit</action>
			<action>mmpac.pmo.print</action>
			<action>mmpac.pmo.barcodeprint</action>
			<action>mmpac.pmo.qrybillinfo</action>
			<action>mmpac.pmo.printbarcode</action>
			<action>mmpac.pmo.pmoPrintBCCheck</action>		
			<action>mmpac.pmo.checkDataPerm</action>
			<action>barcode.init.barcodeinitaction</action>
			<action>ic.pub.barcodeinitaction</action>
			<action>mmpac.pmo.viewver</action>
			<action>mmpac.pmo.pmoturn</action>
			<action>mmpac.pmo.sotoPmoqueryaction</action>
			<action>mmpac.pmo.pmoTurnAfterEventAction</action>
			<action>mmpac.pmo.pmoTurnConfirmAction</action>
			<action>mmpac.pmo.cardPmoTurn</action>
			<action>mmpac.pmo.listPickmRecal</action>
			<action>mmpac.pmo.cardPickmRecal</action>
			<action>mmpac.pmo.listScrapAdd</action>
			<action>mmpac.pmo.cardScrapAdd</action>
			<action>mmpac.pmo.queryGrand</action>
			<action>mmpac.pmo.grandAfterEdit</action>
			<action>mmpac.pmo.replanrcAction</action>
			<action>mmpac.pmo.planrcAction</action>
			<action>mmpac.pmo.listsnAction</action>
			<action>mmpac.pmo.cardsnAction</action>
			<action>mmpac.pmo.snAddLine</action>
			<action>mmpac.pmo.batchEditAfterEdit</action>
			<action>mmpac.pmo.createSN</action>
			<action>mmpac.pmo.snref</action>
			<action>mmpac.pmo.activity</action>
			<action>mmpac.pmo.bodyAddLine</action>
			<action>mmpac.pmo.pickm</action>
			<action>mmpac.pmo.checkunpickmdeliver</action>
			<action>mmpac.pmo.checkdeliverback</action>
			<action>mmpac.pmo.mmtoPmoaction</action>
			<action>mmpac.pickm.checktodeliver</action>
			<action>mmpac.pickm.setdeliverquery</action>
			<action>mmpac.pickm.setdelivercheck</action>
			<action>mmpac.pickm.setDeliverAfterEdit</action>
			<action>mmpac.pickm.setbackdeliverquery</action>
			<action>mmpac.pickm.PickmMatchCodeRef</action>
			<action>mmpac.pickm.backdeliverquery</action>
			<action>mmpac.pickm.backDeliverAfterEdit</action>
			<action>mmpac.pickm.setbackdelivercomput</action>
			<action>mmpac.pickm.backdeliver</action>
			<action>mmpac.pickm.noitemdeliverquery</action>
			<action>mmpac.pickm.noitemdeliver</action>
			<action>mmpac.pickm.transtypeQuery</action>
			<action>mmpac.pickm.beforeEdit</action>
			<action>mmpac.pickm.bodyAfterEdit</action>
			<action>mmpac.pmo.checkGrandData</action>
			<action>mmpac.pmo.QueryDimensionVOs</action>
			<action>mmpac.pmo.snAfterEventAction</action>
			<action>mmpub.setanalysis.checkMMBillToSA</action>
			<action>mmpac.pmo.pmoResolve</action>
			<action>mmpac.pmo.checkDispatchlist</action>
			<action>mmpac.pmo.checkOprep</action>
			<action>mmpac.pmo.checkTransfer</action>
			<action>mmpac.pmo.snConfirm</action>
			<action>mmpac.pmo.checkPutPlan</action>
			<action>mmpac.pmo.checkMos</action>
			<action>mmpac.pmo.pmolinkquerysrc</action>
			<action>mmpac.pmo.queryoriginmosn</action>
			<action>mmpac.dmo.querywrreworksn</action>
			<action>mmpac.pmo.tempsc</action>
			<action>mmpac.pmo.tempscconfirm</action>
			<action>mmpac.pmo.tempscAfterEventAction</action>
			<action>mmpac.pmo.checkEnable</action>
			<action>mmpac.pmo.checkToPscPlan</action>
			<action>mmpac.pmo.queryByCond</action>
		</actions>
	</authorize>
	<authorize><!-- 离散生产订单 -->
		<appcode>50090000,5009000002,5009000004,50090304,5009030401,5009030402,5009030403,5009030404</appcode>
		<actions>
			<action>mmpac.dmo.queryList</action>
			<action>mmpac.dmo.orgChangEvent</action>
			<action>mmpac.dmo.headAfterEdit</action>
			<action>mmpac.dmo.bodyAfterEdit</action>
			<action>mmpac.dmo.bodyBeforeEdit</action>
			<action>mmpac.dmo.headBeforeEdit</action>
			<action>mmpac.dmo.newSave</action>
			<action>mmpac.dmo.editSave</action>
			<action>mmpac.dmo.queryCard</action>
			<action>mmpac.dmo.delete</action>
			<action>mmpac.dmo.queryPage</action>
			<action>mmpac.dmo.edit</action>
			<action>mmpac.dmo.copy</action>
			<action>mmpac.dmo.batchEdit</action>
			<action>mmpac.dmo.put</action>
			<action>mmpac.dmo.unPut</action>
			<action>mmpac.dmo.finish</action>
			<action>mmpac.dmo.finishCancel</action>
			<action>mmpac.dmo.close</action>
			<action>mmpac.dmo.closeCancel</action>
			<action>mmpac.dmo.autoClose</action>
			<action>mmpac.dmo.commit</action>
			<action>mmpac.dmo.uncommit</action>
			<action>mmpac.dmo.savecommit</action>
			<action>mmpac.dmo.print</action>
			<action>mmpac.dmo.barcodeprint</action>
			<action>mmpac.dmo.dmoPrintBCCheck</action>
			<action>mmpac.dmo.qrybillinfo</action>		
			<action>mmpac.dmo.printbarcode</action>
			<action>mmpac.dmo.checkDataPerm</action>
			<action>barcode.init.barcodeinitaction</action>
			<action>ic.pub.barcodeinitaction</action>
			<action>mmpac.dmo.viewver</action>
			<action>mmpac.dmo.turn</action>
			<action>mmpac.dmo.sotodmoqueryaction</action>
			<action>mmpac.dmo.dmoTurnAfterEventAction</action>
			<action>mmpac.dmo.dmoTurnConfirmAction</action>
			<action>mmpac.dmo.pickmRecal</action>
			<action>mmpac.dmo.scrapAdd</action>
			<action>mmpac.dmo.queryGrand</action>
			<action>mmpac.dmo.grandAfterEdit</action>
			<action>mmpac.dmo.replanrcAction</action>
			<action>mmpac.dmo.planrcAction</action>
			<action>mmpac.dmo.snAction</action>
			<action>mmpac.dmo.snAddLine</action>
			<action>mmpac.dmo.batchEditAfterEdit</action>
			<action>mmpac.dmo.createSN</action>
			<action>mmpac.dmo.snref</action>
			<action>mmpac.dmo.dmoSnAfterEventAction</action>
			<action>mmpac.dmo.bodyAddLine</action>
			<action>mmpac.dmo.pickm</action>
			<action>mmpac.dmo.checkunpickmdeliver</action>
			<action>mmpac.dmo.checkdeliverback</action>
			<action>mmpac.dmo.mmtodmoaction</action>
			<action>mmpac.dmo.snBarcodeDirPrint</action>
			<action>mmpac.dmo.snBarcodePrint</action>
			<action>mmpac.dmo.snConfirm</action>
			<action>mmpac.dmo.dmoDispatchCheck</action>
			<action>mmpac.dmo.dmoOprepCheck</action>
			<action>mmpac.dmo.dmoTransferCheck</action>
			<action>mmpac.pickm.checktodeliver</action>
			<action>mmpac.pickm.setdeliverquery</action>
			<action>mmpac.pickm.setdelivercheck</action>
			<action>mmpac.pickm.setDeliverAfterEdit</action>
			<action>mmpac.pickm.setbackdeliverquery</action>
			<action>mmpac.pickm.PickmMatchCodeRef</action>
			<action>mmpac.pickm.backdeliverquery</action>
			<action>mmpac.pickm.backDeliverAfterEdit</action>
			<action>mmpac.pickm.setbackdelivercomput</action>
			<action>mmpac.pickm.backdeliver</action>
			<action>mmpac.pickm.noitemdeliverquery</action>
			<action>mmpac.pickm.noitemdeliver</action>
			<action>mmpac.pickm.transtypeQuery</action>
			<action>mmpac.pickm.beforeEdit</action>
			<action>mmpac.pickm.bodyAfterEdit</action>
			<action>mmpub.setanalysis.checkMMBillToSA</action>
			<action>mmpac.dmo.checkPutPlan</action>
			<action>mmpac.dmo.checkReviseSubmo</action>
			<action>mmpac.dmo.dmolinkquerysrc</action>
			<action>mmpac.dmo.queryoriginmosn</action>
			<action>mmpac.dmo.querywrreworksn</action>
			<action>mmpac.dmo.checksagafrozen</action>
			<action>mmpac.dmo.temporaryOutsource</action>
			<action>mmpac.dmo.tempOutsourceConfirm</action>
			<action>mmpac.dmo.proOutsourcePlan</action>
			<action>mmpac.dmo.queryByCond</action>
		</actions>
	</authorize>
	<authorize><!-- 备料计划 -->
		<appcode>50080102,5008010201,5008010202,400802800,400802804,50080108,50080305,50090102,5009010201,5009010202,50090108,50160802,50090304,5009030401
		</appcode>
		<actions>
			<action>mmpac.pickm.query</action>
			<action>mmpac.pickm.queryCardInfo</action>
			<action>mmpac.pickm.queryPage</action>
			<action>mmpac.pickm.orgChangEvent</action>
			<action>mmpac.pickm.headAfterEdit</action>
			<action>mmpac.pickm.transtypeQuery</action>
			<action>mmpac.pickm.beforeEdit</action>
			<action>mmpac.pickm.bodyAfterEdit</action>
			<action>mmpac.pickm.addSave</action>
			<action>mmpac.pickm.editSave</action>
			<action>mmpac.pickm.edit</action>
			<action>mmpac.pickm.delete</action>
			<action>mmpac.pickm.copy</action>
			<action>mmpac.pickm.subItem</action>
			<action>mmpac.pickm.saveCommit</action>
			<action>mmpac.pickm.commit</action>
			<action>mmpac.pickm.uncommit</action>
			<action>mmpac.pickm.finish</action>
			<action>mmpac.pickm.unfinish</action>
			<action>mmpac.pickm.printpermission</action>
			<action>mmpac.pickm.print</action>
			<action>mmpac.pickm.clquery</action>
			<action>mmpac.pickm.setdeliverquery</action>
			<action>mmpac.pickm.setdelivercheck</action>
			<action>mmpac.pickm.PickmMatchCodeRef</action>
			<action>mmpac.pickm.setDeliverAfterEdit</action>
			<action>mmpac.pickm.backdeliverquery</action>
			<action>mmpac.pickm.backDeliverAfterEdit</action>
			<action>mmpac.pickm.backdeliver</action>
			<action>mmpac.pickm.takeoverquery</action>
			<action>mmpac.pickm.takeover</action>
			<action>mmpac.pickm.takeoverAfterEdit</action>
			<action>mmpac.pickm.setbackdeliverquery</action>
			<action>mmpac.pickm.setbackdelivercomput</action>
			<action>mmpac.pickm.backserialno</action>
			<action>mmpac.pickm.backSnAddline</action>
			<action>mmpac.pickm.PickmSerialNoRef</action>
			<action>mmpac.pickm.backSerialnoAfterEdit</action>
			<action>mmpac.pickm.checktoreqpickm</action>
			<action>mmpac.pickm.checktodeliver</action>
			<action>mmpac.pickm.checkrowdelete</action>
			<action>mmpac.pickm.transtypeExtQuery</action>
			<action>mmpac.pickm.replaceQuery</action>
			<action>mmpac.pickm.replaceBodyQuery</action>
			<action>mmpac.pickm.replaceAfterEdit</action>
			<action>mmpac.pickm.replace</action>
			<action>mmpac.pickm.deleteline</action>
			<action>mmpac.pickm.reserveCheck</action>
			<action>mmpac.pickm.checktoDirectTrans</action>
			<action>mmpac.pickm.replaceAutoMatch</action>
			<action>mmpac.pickm.queryByCond</action>
			<action>mmpac.pickm.convertOtherIn</action>
			<action>mmpac.pickm.pickmItemsQuery</action>
		</actions>
	</authorize>
	<authorize><!-- 流程生产报告 -->
		<appcode>50080202,5008020202,5008020204,50090202,50080305,5009020204,50140202,50161006,50090304,5009030402, 5009030403
		</appcode>
		<actions>
			<action>mmpac.pwr.queryPmos</action>
			<action>mmpac.pwr.transfromPmo</action>
			<action>mmpac.pwr.queryList</action>
			<action>mmpac.pwr.queryPage</action>
			<action>mmpac.pwr.queryPwrCard</action>
			<action>mmpac.pwr.edit</action>
			<action>mmpac.pwr.copyPwrCard</action>
			<action>mmpac.pwr.queryPwrPick</action>
			<action>mmpac.pwr.queryPwrQuality</action>
			<action>mmpac.pwr.newSave</action>
			<action>mmpac.pwr.editSave</action>
			<action>mmpac.pwr.SaveCommit</action>
			<action>mmpac.pwr.delete</action>
			<action>mmpac.pwr.batchdelete</action>
			<action>mmpac.pwr.headAfterEdit</action>
			<action>mmpac.pwr.headBeforeEdit</action>
			<action>mmpac.pwr.bodyBeforeEdit</action>
			<action>mmpac.pwr.bodyAfterEdit</action>
			<action>mmpac.pwr.orgChangEvent</action>
			<action>mmpac.pwr.commit</action>
			<action>mmpac.pwr.uncommit</action>
			<action>mmpac.pwr.ApplyCheck</action>
			<action>mmpac.pwr.EmpassCheck</action>
			<action>mmpac.pwr.Pick</action>
			<action>mmpac.pwr.CardPick</action>
			<action>mmpac.pwr.UnPick</action>
			<action>mmpac.pwr.CardUnPick</action>
			<action>mmpac.pwr.BackFlush</action>
			<action>mmpac.pwr.CardBackFlush</action>
			<action>mmpac.pwr.UnBackFlush</action>
			<action>mmpac.pwr.CardUnBackFlush</action>
			<action>mmpac.pwr.GrandAfterEdit</action>
			<action>mmpac.pwr.CreateOutput</action>
			<action>mmpac.pwr.CreatePick</action>
			<action>mmpac.pwr.WorkDoneSetCheckClick</action>
			<action>mmpac.pwr.ListProdInQueryQuality</action>
			<action>mmpac.pwr.ListProdIn</action>
			<action>mmpac.pwr.ListDiscardInQueryQuality</action>
			<action>mmpac.pwr.DiscardBatchIn</action>
			<action>mmpac.pwr.prodinafteredit</action>
			<action>mmpac.pwr.discardinafteredit</action>
			<action>mmpac.pwr.discardbatchinafteredit</action>
			<action>mmpac.pwr.DiscardIn</action>
			<action>mmpac.pwr.DiscardInAddMo</action>
			<action>mmpac.pwr.DiscardInAddPut</action>
			<action>mmpac.pwr.CardProdInQueryQuality</action>
			<action>mmpac.pwr.CardDiscardInQueryQuality</action>
			<action>mmpac.pwr.CardDiscardBatchInQueryQuality</action>
			<action>mmpac.pwr.manualExamQueryQuality</action>
			<action>mmpac.pwr.manualExam</action>
			<action>mmpac.pwr.ManualBodyAfterEdit</action>
			<action>mmpac.pwr.ManualConfirmAction</action>
			<action>mmpac.pwr.ListQuaryQuality</action>
			<action>mmpac.pwr.HandOverValidatorAction</action>
			<action>mmpac.pwr.HandOverOkAction</action>
			<action>mmpac.pwr.HandOverVaildInGrandAction</action>
			<action>mmpac.handtake.addRowAfterEvent</action>
			<action>mmpac.handtake.bodyEditAfterEvent</action>
			<action>mmpac.handtake.headEditAfterEvent</action>
			<action>mmpac.handtake.reload</action>
			<action>mmpac.pwr.GrandGetProdin</action>
			<action>mmpac.pwr.GrandGetDiscardin</action>
			<action>mmpac.pwr.GrandGetDiscardBatchin</action>
			<action>mmpac.pwr.ManualBodyBeforeEdit</action>
			<action>mmpac.pwr.ListRework</action>
			<action>mmpac.pwr.CardRework</action>
			<action>mmpac.pwr.GrandRework</action>
			<action>mmpac.pwr.print</action>
			<action>mmpac.pwr.printpick</action>
			<action>mmpac.pwr.dirprintbarcode</action>
			<action>mmpac.pwr.qrybillinfo</action>
			<action>mmpac.pwr.printbarcode</action>
			<action>mmpac.pwr.queryidentify</action>
			<action>mmpac.pwr.copyquality</action>
			<action>mmpac.pwr.isFreeCheck</action>
			<action>barcode.init.barcodeinitaction</action>
			<action>ic.pub.barcodeinitaction</action>
			<action>mmpac.pwr.ManualRowCopyProcessNum</action>
			<action>mmpac.pwr.DiscardBatchInBeforeEdit</action>
			<action>mmpac.pwr.DiscardInBeforeEdit</action>
			<action>mmpac.pwr.querymotranstype</action>
			<action>mmpac.pwr.transtypeExtQuery</action>
			<action>mmpac.pwr.checkpermission</action>
			<action>mmpac.pwr.queryDmos</action>
			<action>mmpac.pwr.transfromDmo</action>
			<action>mmpac.pwr.MMToWr</action>
			<action>mmpac.pwr.queryserial</action>
			<action>mmpac.pwr.queryPputplan</action>
			<action>mmpac.pwr.transfromPputplan</action>
			<action>mmpac.pwr.queryDputplan</action>
			<action>mmpac.pwr.transfromDputplan</action>
		    <action>mmpac.pwr.serialnoBodyBeforeEdit</action>
			<action>mmpac.pwr.serialnoBodyAfterEdit</action>
			<action>mmpac.pwr.geneSerNo</action>
			<action>mmpac.pwr.serNoOk</action>
			<action>mmpac.pwr.serNoAddLine</action>
			<action>mmpac.pwr.serNoRowChange</action>
			<action>mmpac.pwr.task</action>
			<action>mmpac.pwr.prodInSnQuery</action>
			<action>mmpac.pwr.prodInSn</action>
			<action>mmpac.pwr.queryByCond</action>
		</actions>
	</authorize>
	<authorize><!-- 作业量维护 -->
		<appcode>50080206,50090206,50080305</appcode>
		<actions>
			<action>mmpac.applytask.queryList</action>
			<action>mmpac.applytask.queryByPks</action>
			<action>mmpac.applytask.queryCard</action>
			<action>mmpac.applytask.batchDelete</action>
			<action>mmpac.applytask.update</action>
			<action>mmpac.applytask.addRowAfterEvent</action>
			<action>mmpac.applytask.print</action>
			<action>mmpac.applytask.queryForProcessPmo</action>
			<action>mmpac.applytask.pmotransfertask</action>
			<action>mmpac.applytask.add</action>
			<action>mmpac.applytask.pmopushtotask</action>
			<action>mmpac.applytask.pwrpushtotask</action>
			<action>mmpac.applytask.queryForDiscreteDmo</action>
			<action>mmpac.applytask.dmotransfertask</action>
			<action>mmpac.applytask.dmopushtotask</action>
			<action>mmpac.applytask.headBeforeEdit</action>
			<action>mmpac.applytask.headBeforeEdit</action>
			<action>mmpac.applytask.commit</action>
			<action>mmpac.applytask.unCommit</action>
			<action>mmpac.applytask.saveAndCommit</action>
			<action>mmpac.applytask.opreqpushtotask</action>
			<action>mmpac.applytask.bodyAfterEdit</action>
			<action>mmpac.applytask.queryByCond</action>
		</actions>
	</authorize>
	<authorize><!-- 生产订单工作台 -->
		<appcode>5008030_list</appcode>
		<actions>
			<action>mmpac.proconsole.queryList</action>
		</actions>
	</authorize>
	<authorize> <!-- 备料申请 -->
		<appcode>50080106,5008010601,50090106,5009010601</appcode>
		<actions>
			<action>mmpac.reqpickm.queryReqpickmList</action>
			<action>mmpac.reqpickm.newSave</action>
			<action>mmpac.reqpickm.queryReqpickmCard</action>
			<action>mmpac.reqpickm.delete</action>
			<action>mmpac.reqpickm.batchDelete</action>
			<action>mmpac.reqpickm.queryPageByPks</action>
			<action>mmpac.reqpickm.orgChangeEvent</action>
			<action>mmpac.reqpickm.editSave</action>
			<action>mmpac.reqpickm.bodyDetailBeforeEdit</action>
			<action>mmpac.reqpickm.bodyDetailAfterEdit</action>
			<action>mmpac.reqpickm.bodySumBeforeEdit</action>
			<action>mmpac.reqpickm.bodySumAfterEdit</action>
			<action>mmpac.reqpickm.edit</action>
			<action>mmpac.reqpickm.copy</action>
			<action>mmpac.reqpickm.reqpickmSum</action>
			<action>mmpac.reqpickm.reqpickmUnSum</action>
			<action>mmpac.reqpickm.print</action>
			<action>mmpac.reqpickm.finish</action>
			<action>mmpac.reqpickm.unFinish</action>
			<action>mmpac.reqpickm.computeQuery</action>
			<action>mmpac.reqpickm.delivery</action>
			<action>mmpac.reqpickm.deliveryCard</action>
			<action>mmpac.reqpickm.pickmToReqPickmQueryAction</action>
			<action>mmpac.reqpickm.queryByCond</action>
		</actions>
	</authorize>
	<authorize> <!-- 生产领料 -->
		<appcode>50080105,400802808,50090105</appcode>
		<actions>
			<action>mmpac.issue.issuepickmquery</action>
			<action>mmpac.issue.issuereqpickmquery</action>
			<action>mmpac.issue.queryIssueObtainStockAccountNum</action>
			<action>mmpac.issue.issueDestIssueAction</action>
			<action>mmpac.issue.issueReserveMaterialAction</action>
			<action>mmpac.issue.issueBeforeEditForPickm</action>
			<action>mmpac.issue.issueAfterEditForPickm</action>
			<action>mmpac.issue.issueBeforeEditForReqPickm</action>
			<action>mmpac.issue.issueAfterEditForReqPickm</action>
			<action>mmpac.issue.issueQueryFromPickm</action>
			<action>mmpac.issue.isseQueryFromReqPickm</action>
			<action>mmpac.issue.onhandQuery</action>
			<action>mmpac.issue.issueDeleteLine</action>
			<action>mmpac.issue.isseQueryFromPutPlan</action>
			<action>mmpac.issue.isseQueryFromDispatchlist</action>
			<action>mmpac.issue.issueQueryFromDirectTrans</action>
			<action>mmpac.issue.issueAfterEditForDirectTrans</action>
			<action>mmpac.issue.issueDirectTransQuery</action>
			<action>mmpac.issue.issueDirectTransAction</action>
			<action>mmpac.issue.issueQueryFromPutPlanDirectTrans</action>
			<action>mmpac.issue.checkIsNccNative</action>
		</actions>
	</authorize>
	<!-- add by maqna 备料计划统计查询 -->
	<authorize>
		<appcode>50080107,50090107</appcode>
		<actions>
			<action>mmpac.pickms.pickmsQueryByProduct</action>
			<action>mmpac.pickms.pickmsQueryByMaterial</action>
			<action>mmpac.pickms.printByProduct</action>
			<action>mmpac.pickms.printByMaterial</action>
		</actions>
	</authorize>
	<authorize> <!-- 条码工作台 -->
		<appcode>50080602,50090602</appcode>
		<actions>
			<action>mmpac.barcodem.save</action>
			<action>mmpac.barcodem.orgChangEvent</action>
			<action>mmpac.barcodem.headAfterEdit</action>
			<action>mmpac.barcodem.bodyBeforeEdit</action>
			<action>mmpac.barcodem.bodyAfterEdit</action>
			<action>mmpac.barcodem.barcodeInputChange</action>
		</actions>
	</authorize>
	<authorize> <!-- 生产工作台 -->
		<appcode>50080302,50090302</appcode>
		<actions>
			<action>mmpac.proconsole.query</action>
			<action>mmpac.proconsole.queryPage</action>
			<action>mmpac.proconsole.queryCardInfo</action>
			<action>mmpac.proconsole.queryCardBodyInfo</action>
			<action>mmpac.pickm.checktoreqpickm</action>
			<action>mmpac.pickm.checktodeliver</action>
			<action>mmpac.pickm.setdeliverquery</action>
			<action>mmpac.pickm.setdelivercheck</action>
			<action>mmpac.pickm.PickmMatchCodeRef</action>
			<action>mmpac.pickm.setDeliverAfterEdit</action>
			<action>mmpac.pickm.setbackdeliverquery</action>
			<action>mmpac.pickm.PickmMatchCodeRef</action>
			<action>mmpac.pickm.backdeliverquery</action>
			<action>mmpac.pickm.backDeliverAfterEdit</action>
			<action>mmpac.pickm.setbackdelivercomput</action>
			<action>mmpac.pickm.transtypeQuery</action>
			<action>mmpac.pickm.backdeliver</action>
			<action>mmpac.proconsole.receive</action>
			<action>mmpac.proconsole.wrApplyCheck</action>
			<action>mmpac.proconsole.wrReWork</action>
			<action>mmpac.proconsole.wrProdIn</action>
			<action>mmpac.proconsole.wrProdInDo</action>
			<action>mmpac.proconsole.wrHandOver</action>
			<action>mmpac.proconsole.wrHandOverDo</action>
			<action>mmpac.proconsole.wrDiscardIn</action>
			<action>mmpac.pwr.prodinafteredit</action>
			<action>mmpac.pwr.discardinafteredit</action>
			<action>mmpac.pwr.bodyBeforeEdit</action>
			<action>mmpac.pwr.bodyAfterEdit</action>
			<action>mmpac.pwr.querymotranstype</action>
			<action>mmpac.handtake.bodyEditAfterEvent</action>
			<action>mmpac.pwr.DiscardIn</action>
			<action>mmpac.pwr.HandOverOkAction</action>
			<action>mmpac.handtake.addRowAfterEvent</action> 
			<action>mmpub.setanalysis.checkMMBillToSA</action> 
			<action>mmpac.pickm.beforeEdit</action>
			<action>mmpac.pickm.bodyAfterEdit</action>
			<action>mmpac.handtake.reload</action>
			<action>mmpac.proconsole.checkToWr</action>
			<action>mmpac.proconsole.checkToWorkShop</action>
			<action>mmpac.pwr.prodInSnQuery</action>
		</actions>
	</authorize>
	<authorize> <!-- 批次序列号 -->
		<appcode>50080502,50090502</appcode>
		<actions>
			<action>mmpac.batchbind.query</action>
			<action>mmpac.batchbind.queryPage</action>
			<action>mmpac.batchbind.print</action>
			<action>mmpac.batchbind.queryCardInfo</action>
			<action>mmpac.batchbind.queryUnbind</action>
			<action>mmpac.batchbind.bodyAfterEdit</action>
			<action>mmpac.batchbind.save</action>
			<action>mmpac.batchbind.cancelBind</action>
			<action>mmpac.batchbind.bindCheck</action>
			<action>mmpac.batchbind.print</action>
		</actions>
	</authorize>
	<authorize> <!-- 批次对照表 -->
		<appcode>50080504,50090504</appcode>
		<actions>
			<action>mmpac.batchprod.query</action>
			<action>mmpac.batchprod.queryPage</action>
			<action>mmpac.batchprod.print</action>
		</actions>
	</authorize>
	<authorize> <!-- 正向批次序列号追溯 -->
		<appcode>50080506,50090506</appcode>
		<actions>
			<action>mmpac.batchtrace.query</action>
			<action>mmpac.batchtrace.queryNextTree</action>
			<action>mmpac.batchtrace.print</action>
		</actions>
	</authorize>
	<authorize> <!-- 反向批次序列号追溯 -->
		<appcode>50080508,50090508</appcode>
		<actions>
			<action>mmpac.batchretrace.query</action>
			<action>mmpac.batchretrace.queryNextTree</action>
			<action>mmpac.batchretrace.print</action>
		</actions>
	</authorize>
	<authorize> <!-- 多产品挪料,单产品挪料 -->
		<appcode>50080103,50090103,50080104,50090104</appcode>
		<actions>
			<action>mmpac.multiadjust.queryMo</action>
			<action>mmpac.multiadjust.queryInPickm</action>
			<action>mmpac.multiadjust.queryOutPickm</action>
			<action>mmpac.multiadjust.outPickmAfterEvent</action>
			<action>mmpac.pickm.beforeEdit</action>
			<action>mmpac.multiadjust.adjustSimulate</action>
			<action>mmpac.multiadjust.adjust</action>
			<action>mmpac.multiadjust.print</action>
		</actions>
	</authorize>
	<authorize> <!-- 配套变更建议 -->
		<appcode>50080003,50090003</appcode>
		<actions>
			<action>mmpac.mo.moquery</action>
			<action>mmpac.mo.moqueryByPks</action>
			<action>mmpac.mo.modelete</action>
			<action>mmpac.mo.queryfrompmo</action>
			<action>mmpac.mo.queryfromdmo</action>
		</actions>
	</authorize>
	<authorize> <!-- 投放计划 -->
		<appcode>50080010,50090010</appcode>
		<actions>
			<action>mmpac.putplan.query</action>
			<action>mmpac.putplan.save</action>
			<action>mmpac.putplan.delete</action>
			<action>mmpac.putplan.commit</action>
			<action>mmpac.putplan.uncommit</action>
			<action>mmpac.putplan.finish</action>
			<action>mmpac.putplan.unfinish</action>
			<action>mmpac.putplan.put</action>
			<action>mmpac.putplan.unput</action>
			<action>mmpac.putplan.pickmRequire</action>
			<action>mmpac.putplan.ppRePickm</action>
			<action>mmpac.putplan.reqPickm</action>
			<action>mmpac.putplan.delivery</action>
			<action>mmpac.putplan.backDelivery</action>
			<action>mmpac.putplan.wr</action>
			<action>mmpac.putplan.print</action>
			<action>mmpac.putplan.checkDataPermission</action>
			<action>mmpac.putplan.putPlanBeforeEditHandler</action>
			<action>mmpac.putplan.putplanAfterEditEvent</action>
			<action>mmpac.putplan.pmotransferputplan</action>
			<action>mmpac.putplan.queryForPmo</action>
			<action>mmpac.putplan.dmotransferputplan</action>
			<action>mmpac.putplan.queryForDmo</action>
			<action>mmpac.putplan.satopputplan</action>
			<action>mmpac.putplan.satodputplan</action>
			<action>mmpac.putplan.queryById</action>
			<action> mmpac.putplan.samodifyputplan</action>
			<action>mmpac.putplan.backdeliveryquery</action>
			<action>mmpac.putplan.pmotoputplan</action>
			<action>mmpac.putplan.dmotoputplan</action>
			<action>mmpac.pickm.backserialno</action>
			<action>mmpac.pickm.backSnAddline</action>
			<action>mmpac.pickm.PickmSerialNoRef</action>
			<action>mmpac.pickm.backSerialnoAfterEdit</action>
			<action>mmpac.pickm.backdeliverquery</action>
			<action>mmpac.pickm.backDeliverAfterEdit</action>
			<action>mmpac.pickm.backdeliver</action>
			<action>mmpac.pickm.transtypeQuery</action>
			<action>mmpac.pickm.beforeEdit</action>
			<action>mmpub.setanalysis.checkMMBillToSA</action>
			<action>mmpac.putplan.directTrans</action>
		</actions>
	</authorize>
	<authorize> <!-- 投放计划退料建议 -->
		<appcode>50080114,50090114</appcode>
		<actions>
			<action>mmpac.mrrputplan.query</action>
			<action>mmpac.mrrputplan.print</action>
			<action>mmpac.mrrputplan.backdeliveryquery</action>
			<action>mmpac.pmrr.backBodyAferEditTranAction</action>
			<action>mmpac.mrrputplan.queryByPage</action>
			<action>mmpac.pmrr.backSave</action>
			<action>mmpac.pmrr.queryByMoids</action>
			<action>mmpac.pmrr.serialnoAction</action>
			<action>mmpac.pmrr.serialnoAddLineAction</action>
			<action>mmpac.pickm.backserialno</action>
			<action>mmpac.pickm.backSnAddline</action>
			<action>mmpac.pickm.PickmSerialNoRef</action>
			<action>mmpac.pickm.backSerialnoAfterEdit</action>
			<action>mmpac.pickm.backdeliverquery</action>
			<action>mmpac.pickm.backDeliverAfterEdit</action>
			<action>mmpac.pickm.backdeliver</action>
			<action>mmpac.pickm.transtypeQuery</action>
			<action>mmpac.pickm.beforeEdit</action>
		</actions>
	</authorize>
	<authorize> <!-- 多级生产订单追踪 -->
		<appcode>50080402,50090402</appcode>
		<actions>
			<action>mmpac.motrace.query</action>
			<action>mmpac.motrace.querytree</action>
			<action>mmpac.motrace.print</action>
		</actions>
	</authorize>
	<authorize>
		<appcode>*</appcode>
		<actions>
			<action>mmpac.pickm.transtypeExtQuery</action>
			<action>mmpac.pwr.transtypeExtQuery</action>
			<action>mmpac.pmo.exttranstypequeryaction</action>
			<action>mmpac.dmo.exttranstypequeryaction</action>
		</actions>
	</authorize>
</authorizes>
